{
  services.photoview = {
    enable = true;
    database.driver = "postgres";
    database.string = "postgresql:///photoview?host=/var/run/postgresql";
    stateDir = "/nix/persist/service/photoview";
    secrets = "/nix/persist/service/photoview/secrets.env" ;
  };

  services.nginx.virtualHosts."raw.514fpv.io" = {
    useACMEHost = ".514fpv.io";
    addSSL = true;
    locations."/" = {
      proxyPass = "http://127.0.0.1:8000";
      proxyWebsockets = true;
    };
  };

  global.fs.zfs.mountpoints."/nix/persist/service/photoview" = "service/photoview";
}
